# Bewerberboerse

Eine der größten Datenbanken für Bewerbende in Deutschland durchsuchen. 

Die Authentifizierung funktioniert per OAuth 2 Client Credentials mit JWTs. Folgende Client-Credentials können dafür verwendet werden:

**ClientID:** 919b0af7-6e5f-4542-a7f5-04268b8bae2e

**ClientSecret:** 93fce94c-5be2-4dc8-b040-c62818a4b003

**Achtung**: der generierte Token muss bei folgenden GET-requests an https://rest.arbeitsagentur.de/jobboerse/bewerbersuche-service/pc/v1/bewerber im header als 'OAuthAccessToken' inkludiert werden.


This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 0.1.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen
For more information, please visit [https://github.com/AndreasFischer1985/bewerberboerse-api](https://github.com/AndreasFischer1985/bewerberboerse-api)

## Requirements.

Python >= 3.6

## Installation & Usage
### pip install

```sh
pip install deutschland[Bewerberboerse]
```

### poetry install

```sh
poetry add deutschland -E Bewerberboerse
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

## Usage

Import the package:
```python
from deutschland import Bewerberboerse
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
from deutschland import Bewerberboerse
from pprint import pprint
from deutschland.Bewerberboerse.api import default_api
# Defining the host is optional and defaults to https://rest.arbeitsagentur.de/jobboerse/bewerbersuche-service
# See configuration.py for a list of all supported configuration parameters.
configuration = Bewerberboerse.Configuration(
    host = "https://rest.arbeitsagentur.de/jobboerse/bewerbersuche-service"
)



# Enter a context with an instance of the API client
with Bewerberboerse.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = default_api.DefaultApi(api_client)
    was = "Wissenschaftlicher Mitarbeiter" # str | Beruf, Kenntnisse, Sprachen, etc. (optional)
    ausbildungsart = "au" # str | Ausbildungsart - au=Ausbildung, dsa=Duales Studium (ausbildungsintegrierend), dsp=Duales Studium (praxisintegrierend). (optional)
    wo = "Feucht" # str | Ort, PLZ, Bundesland, Land, etc. (optional)
    umkreis = 0 # int | Umkreis - 0=ganzer Ort; 10=10km; 15=15km; 20=20km; 50=50km; 100=100km; 200=200km. (optional)
    angebotsart = "ar" # str | Angebotsart - ar=Arbeitskräfte; au=Auszubildende/Duales Studium; pt=Praktikanten/Trainees; se=Selbstständige. (optional)
    arbeitszeit = "vz" # str | Arbeitszeit - vz=Vollzeit; tz=Teilzeit; snw=Schicht,Nacht,Wochenende; ht=Heim-/Telearbeit; mj=Minijob. (optional)
    berufserfahrung = "mb" # str | Berufserfahrung - be=Berufseinsteiger*innen; mb=Mit Berufserfahrung. (optional)
    vertragsart = "ub" # str | Vertragsart - be=Befristet; ub=Unbefristet. (optional)
    behinderung = "an" # str | Behinderung - an=Nur Schwerbehinderte oder ihnen gleichgestellte Bewerber*innen anzeigen. (optional) (default to "an")
    page = 0 # int | Ergebnissseite (optional)
    size = 25 # int | Anzahl von Ergebnissen (optional)

    try:
        # Bewerberbörse
        api_response = api_instance.bewerberboerse(was=was, ausbildungsart=ausbildungsart, wo=wo, umkreis=umkreis, angebotsart=angebotsart, arbeitszeit=arbeitszeit, berufserfahrung=berufserfahrung, vertragsart=vertragsart, behinderung=behinderung, page=page, size=size)
        pprint(api_response)
    except Bewerberboerse.ApiException as e:
        print("Exception when calling DefaultApi->bewerberboerse: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://rest.arbeitsagentur.de/jobboerse/bewerbersuche-service*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**bewerberboerse**](docs/DefaultApi.md#bewerberboerse) | **GET** /pc/v1/bewerber | Bewerberbörse
*DefaultApi* | [**bewerberdetails**](docs/DefaultApi.md#bewerberdetails) | **GET** /pc/v1/bewerberdetails/{referenznummer} | 


## Documentation For Models



## Documentation For Authorization


## clientCredAuth

- **Type**: OAuth
- **Flow**: application
- **Authorization URL**: 
- **Scopes**: N/A


## Author

andreasfischer1985@web.de


## Notes for Large OpenAPI documents
If the OpenAPI document is large, imports in Bewerberboerse.apis and Bewerberboerse.models may fail with a
RecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:

Solution 1:
Use specific imports for apis and models like:
- `from deutschland.Bewerberboerse.api.default_api import DefaultApi`
- `from deutschland.Bewerberboerse.model.pet import Pet`

Solution 2:
Before importing the package, adjust the maximum recursion limit as shown below:
```
import sys
sys.setrecursionlimit(1500)
from deutschland import Bewerberboerse
from deutschland.Bewerberboerse.apis import *
from deutschland.Bewerberboerse.models import *
```

